com.mysql.cj.exceptions

## Class UnsupportedConnectionStringException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.mysql.cj.exceptions.CJException
        - - com.mysql.cj.exceptions.UnsupportedConnectionStringException

All Implemented Interfaces:
  Serializable

    public class UnsupportedConnectionStringException
    extends CJException

See Also:
  Serialized Form

### Field Summary

Fields
`private static long` `serialVersionUID`

### Fields inherited from class com.mysql.cj.exceptions.CJException

`exceptionMessage`

### Constructor Summary

Constructors
Constructor and Description
`UnsupportedConnectionStringException()`
`UnsupportedConnectionStringException(String message)`
`UnsupportedConnectionStringException(String message, Throwable cause)`
`UnsupportedConnectionStringException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace)`
`UnsupportedConnectionStringException(Throwable cause)`

### Method Summary

### Methods inherited from class com.mysql.cj.exceptions.CJException

`appendMessage, getMessage, getSQLState, getVendorCode, isTransient, setSQLState, setTransient, setVendorCode`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### Constructor Detail

#### UnsupportedConnectionStringException

    public UnsupportedConnectionStringException()

#### UnsupportedConnectionStringException

    public UnsupportedConnectionStringException(String message)

#### UnsupportedConnectionStringException

    public UnsupportedConnectionStringException(String message,
                                                Throwable cause)

#### UnsupportedConnectionStringException

    public UnsupportedConnectionStringException(Throwable cause)

#### UnsupportedConnectionStringException

    public UnsupportedConnectionStringException(String message,
                                                Throwable cause,
                                                boolean enableSuppression,
                                                boolean writableStackTrace)

Copyright © 2016, 2024, Oracle and/or its affiliates.